ON(1C)

NAME
on - execute a command remotely

SYNOPSIS
on [ -i ] [ -n ] [ -d ] host command [ argument ] ...

DESCRIPTION

The on program is used to execute commands on another system, in an environment similar to that invoking the program. All environment variables are passed, and the current working directory is preserved. To preserve the working directory, the working file system must be either already mounted on the host or be exported to it. Relative path names will only work if they are within the current file system; absolute path names may cause problems.

Standard input is connected to standard input of the remote command, and standard output and standard error from the remote command are sent to the corresponding files for the on command.

OPTIONS

-i  Interactive mode: use remote echoing and special character processing. This option is needed for programs that expect to be talking to a terminal. All terminal modes and window size changes are propagated.

-n  No Input: this option causes the remote program to get end-of-file when it reads from standard input, instead of passing standard input from the standard input of the on program. For example, -n is necessary when running commands in the background with job control.

-d  Debug mode: print out some messages as work is being done.

SEE ALSO

rexd(8), exports(5)

DIAGNOSTICS

unknown host     Host name not found
cannot connect to server    Host down or not running the server
can't find .    Problem finding the working directory
can't locate mount point    Problem finding current file system

Other error messages may be passed back from the server.

BUGS

The SunView window system can get confused by the environment variables.